%define prefix %{_prefix}
%ifos darwin
%define __sbindir	%{prefix}/sbin
%define __rootgrp	wheel
%define __soext		dylib
%else
%define __sbindir	/sbin
%define __rootgrp	root
%define __soext		so
%endif

Summary: pTeX 3.0.1 (TeX 3.14159, Web2C 7.3.7) with dvipdfm (0.13.2d)
Name: pTeX-sjis-with-dvipdfm
Version: 3.0.1
Release: 1a
Source0: %{name}-%{version}-%{release}.tar.gz
Copyright: Copyright (C) 1998, ASCII Corporation
URL: http://www.ascii.co.jp/pb/ptex/
Group: Applications/Publishing/TeX
BuildRoot: %{_tmppath}/pTeX-root

%description
Japanese TeX version 3.14159 p3.0.1 ...

%prep -n %{name}
mkdir -p $RPM_BUILD_ROOT

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-%{release}.tar.gz -C $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f > list.f
find $RPM_BUILD_ROOT -type l >> list.f
sed -e "s;$RPM_BUILD_ROOT;;" list.f > list.new
mv list.new list.f
find $RPM_BUILD_ROOT -type d > list.d
find $RPM_BUILD_ROOT -type d | grep -v texmf > list.d2
cat list.d list.d2 | sort | uniq -u > list.new
mv list.new list.d
sed -e "s;$RPM_BUILD_ROOT;%dir ;" list.d >> list.f

%post 
%{prefix}/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%changelog 
* Fri Oct 04 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2
- files extracted from http://www.r.dendai.ac.jp/~kiriki/tex/10.2.sit 

%files -f list.f
